FF does not download new version of remote file but uses obsolete cached copy

RESOLVED INCOMPLETE

Status

()

Firefox
General
RESOLVED INCOMPLETE
9 years ago
3 years ago

People

(Reporter: David Balažic, Unassigned)

Tracking

3.6 Branch
x86
Windows XP
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(URL)

(Reporter)

Description

9 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3 (.NET CLR 3.5.30729)
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3 (.NET CLR 3.5.30729)

On page http://www.teamviewer.com/ there is a link titled "Start Full Version - It's Free!" to http://www.teamviewer.com/download/TeamViewer_Setup.exe

If I click it, Firefox does not download the file, but uses an out of date older copy from its Disk cache device.

This are the data from URL about:cache-entry?client=HTTP&sb=1&key=http://www.teamviewer.com/download/TeamViewer_Setup.exe

key:	http://www.teamviewer.com/download/TeamViewer_Setup.exe

fetch count:
	

6


last fetched:
	

2009-10-02 18:31:48


last modified:
	

2009-09-29 12:37:34


expires:
	

2009-10-03 02:29:27


Data size:
	

1978552


file on disk:
	

C:\Documents and Settings\stein\Local Settings\Application Data\Mozilla\Firefox\Profiles\wxtrhhlw.default\Cache\E4B4ED86d01


Security:
	

This document does not have any security info associated with it.




Client:
	

HTTP


request-method:
	

GET


response-head:
	

HTTP/1.1 200 OK
Content-Length: 1978552
Content-Type: application/octet-stream
Last-Modified: Mon, 24 Aug 2009 15:09:33 GMT
Accept-Ranges: bytes
Etag: "61dc38e3cc24ca1:122d"
Server: Microsoft-IIS/6.0
X-Powered-By: ASP.NET
Date: Tue, 29 Sep 2009 10:33:06 GMT

And this is from a fresh download with wget:

  HTTP/1.1 200 OK
  Content-Length: 2304496
  Content-Type: application/octet-stream
  Last-Modified: Wed, 30 Sep 2009 08:51:18 GMT
  Accept-Ranges: bytes
  ETag: "bce202dab41ca1:1231"
  Server: Microsoft-IIS/6.0
  X-Powered-By: ASP.NET
  Date: Fri, 02 Oct 2009 16:21:22 GMT
  Connection: keep-alive

If Live HTTP Headers 0.15 is to be trusted, FF does not even try to download the file.

Reproducible: Always

Steps to Reproduce:
.
Reporter, are you still seeing this issue with Firefox 3.6.12 or later in safe mode? If not, please close. These links can help you in your testing.
http://support.mozilla.com/kb/Safe+Mode
http://support.mozilla.com/kb/Managing+profiles
Also, please consider using the most recent Firefox 4 beta build, your bug may be resolved there.
Whiteboard: [CLOSEME 2011-1-1]
(Reporter)

Comment 2

8 years ago
I am using now version:
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2.12) Gecko/20101026 Firefox/3.6.12 ( .NET CLR 3.5.30729)


The behavior seems to be the same, only the Expires date is shorter.
I downloaded the above URL (just clicked it in comment 0).
Then I clicked it again.
It was saved immediately, without actually downloading (judging by instant speed and empty LiveHTTPHeaders window).
I closed FF and started it in safe mode. There also the file was not redownloaded ( I can not tell if it queried the server to check for newer version of the file).

The cache info is now:
Key: http://www.teamviewer.com/download/TeamViewer_Setup.exe
Data size: 3536440 bytes
Fetch count: 5
Last modified: 2010-12-06 12:51:18
Expires: 2010-12-07 02:36:42
No reply, INCOMPLETE. Please retest with Firefox 3.6.13 or later and a new profile (http://support.mozilla.com/kb/Managing+profiles). If you continue to see this issue with the newest firefox and a new profile, then please comment on this bug.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → INCOMPLETE
(Reporter)

Comment 4

8 years ago
v3.6.13, fresh profile

Same behavior.
Once it is in the cache, the server is not queried any more. Checked with IE Inspector HTTP Analyzer v6.1.1.313

about:cache?device=disk has this:

 Key: http://www.teamviewer.com/download/TeamViewer_Setup.exe
     Data size: 3514656 bytes
   Fetch count: 3
 Last modified: 2011-01-03 10:12:30
       Expires: 2011-01-06 02:43:13

about:cache-entry?client=HTTP&sb=1&key=http://www.teamviewer.com/download/TeamViewer_Setup.exe :

key:	http://www.teamviewer.com/download/TeamViewer_Setup.exe

fetch count: 4
last fetched: 2011-01-03 10:18:40
last modified: 2011-01-03 10:12:30
expires: 2011-01-06 02:43:13
Data size: 3514656
file on disk:
C:\Documents and Settings\XXXX\Application Data\Mozilla\Firefox\Profiles\XXXXXX.delmetoo\Cache\CF3CCFD5d01

Security:
This document does not have any security info associated with it.

Client: HTTP
request-method: GET

response-head:

HTTP/1.1 200 OK
Cache-Control: public
Content-Length: 3514656
Content-Type: application/octet-stream
Last-Modified: Tue, 07 Dec 2010 11:33:41 GMT
Accept-Ranges: bytes
Etag: "1CB960298ED9880:1CBAB25F38C0701"
Server: Microsoft-IIS/6.0
X-Powered-By: ASP.NET, UrlRewriter.NET 2.0.0
X-AspNet-Version: 2.0.50727
Date: Mon, 03 Jan 2011 09:09:38 GMT

docshell:classified: 1
Status: RESOLVED → UNCONFIRMED
Resolution: INCOMPLETE → ---
No reply, INCOMPLETE. Please retest with Firefox 3.6.13 or later and a new profile (http://support.mozilla.com/kb/Managing+profiles). If you continue to see this issue with the newest firefox and a new profile, then please comment on this bug.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 8 years ago8 years ago
Resolution: --- → INCOMPLETE
(Reporter)

Comment 6

8 years ago
I did that in comment 4.
Status: RESOLVED → UNCONFIRMED
Resolution: INCOMPLETE → ---
Does this happen with Firefox 4?
Whiteboard: [CLOSEME 2011-1-1]
Version: unspecified → 3.6 Branch
Reporter, Firefox 4.0.1 has been released, and it features significant improvements over previous releases. Can you please update to Firefox 4.0.1 or later, and retest your bug? Please also create a fresh profile (
http://support.mozilla.com/kb/Managing+profiles), update your plugins (Flash, Java, Quicktime, Reader, etc) and update your graphics driver and Operating system to the latest versions available. 

If you still continue to see this issue, please comment. If you do not, please close this bug as RESOLVED > WORKSFORME

filter: prefirefox4uncobugs

Comment 9

3 years ago
Do you still see this problem when using a current version started in safe mode?
https://support.mozilla.org/en-US/kb/troubleshoot-firefox-issues-using-safe-mode?redirectlocale=en-US&redirectslug=Safe+Mode

If you still continue to see this issue, please comment. If you do not, please close this bug as RESOLVED > WORKSFORME
Whiteboard: [closeme 2015-03-25]

Comment 10

3 years ago
Resolved per whiteboard
Status: UNCONFIRMED → RESOLVED
Last Resolved: 8 years ago3 years ago
Resolution: --- → INCOMPLETE
Whiteboard: [closeme 2015-03-25]
You need to log in before you can comment on or make changes to this bug.